USRP Hardware Driver and USRP Manual: uhd::rfnoc::blockdef::port_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::blockdef::port_t Class Reference

Describes port options for a block definition. More...

`#include <uhd/rfnoc/blockdef.hpp>`

Inheritance diagram for uhd::rfnoc::blockdef::port_t:

## Public Member Functions
| port_t ()
bool | is_variable (const std::string &key) const
| Checks if the value at `key` is a variable (e.g. '$fftlen').
bool | is_keyword (const std::string &key) const
| Checks if the value at `key` is a keyword (e.g. 'vlen').
bool | is_valid () const
| Basic validity check of this port definition. Variables and.
std::string | to_string () const
| Returns a string with the most important keys.

## Static Public Attributes
static const device_addr_t | PORT_ARGS
| A list of args a port can have.

## Detailed Description

Describes port options for a block definition.

## Constructor & Destructor Documentation

## ◆ port_t()

uhd::rfnoc::blockdef::port_t::port_t | ( |  | ) |

## Member Function Documentation

## ◆ is_keyword()

bool uhd::rfnoc::blockdef::port_t::is_keyword | ( | const std::string & | key | ) | const

Checks if the value at `key` is a keyword (e.g. 'vlen').

## ◆ is_valid()

bool uhd::rfnoc::blockdef::port_t::is_valid | ( |  | ) | const

Basic validity check of this port definition. Variables and.

## ◆ is_variable()

bool uhd::rfnoc::blockdef::port_t::is_variable | ( | const std::string & | key | ) | const

Checks if the value at `key` is a variable (e.g. '$fftlen').

## ◆ to_string()

std::string uhd::rfnoc::blockdef::port_t::to_string | ( |  | ) | const

Returns a string with the most important keys.

## Member Data Documentation

## ◆ PORT_ARGS

const device_addr_t uhd::rfnoc::blockdef::port_t::PORT_ARGS
| static

A list of args a port can have.

The documentation for this class was generated from the following file:

- blockdef.hpp